# sf::Mutex Class Reference

Mutex defines a mutex (MUTual EXclusion) object, that allows a thread to lock critical instructions to avoid simultaneous access with other threads. More...

`#include <Mutex.hpp>`

Inheritance diagram for sf::Mutex:

List of all members.

## Public Member Functions

| Mutex ()
| Default constructor.
| ~Mutex ()
| Destructor.
void | Lock ()
| Lock the mutex.
void | Unlock ()
| Unlock the mutex.

## Detailed Description

Mutex defines a mutex (MUTual EXclusion) object, that allows a thread to lock critical instructions to avoid simultaneous access with other threads.

The Win32 version uses critical sections, as it is faster than mutexes.
See Lock for an efficient way of using it.

Definition at line 45 of file Win32/Mutex.hpp.

## Constructor & Destructor Documentation

sf::Mutex::Mutex | ( |  | ) |

Default constructor.

Definition at line 36 of file Mutex.cpp.

sf::Mutex::~Mutex | ( |  | ) |

Destructor.

Definition at line 45 of file Mutex.cpp.

## Member Function Documentation

void sf::Mutex::Lock | ( |  | ) |

Lock the mutex.

Definition at line 54 of file Mutex.cpp.

void sf::Mutex::Unlock | ( |  | ) |

Unlock the mutex.

Definition at line 63 of file Mutex.cpp.

The documentation for this class was generated from the following files:

- Win32/Mutex.hpp
- Mutex.cpp